<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync:  Fichier source de src/copyToDialog1.py</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('copyToDialog1_8py_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">copyToDialog1.py</div>  </div>
</div><!--header-->
<div class="contents">
<a href="copyToDialog1_8py.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="namespacesrc_1_1copyToDialog1.html">    1</a></span>&#160;<span class="comment"># $Id: copyToDialog1.py 47 2011-06-13 10:20:14Z georgesk $</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno"><a class="line" href="namespacesrc_1_1copyToDialog1.html#a304e636e6ccd21d3a0963bb2b55f9cff">    3</a></span>&#160;licenceEn=<span class="stringliteral">&quot;&quot;&quot;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="stringliteral">    file copyToDialog1.py</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="stringliteral">    this file is part of the project scolasync</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="stringliteral">    Copyright (C) 2010 Georges Khaznadar &lt;georgesk@ofset.org&gt;</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="stringliteral">    This program is free software: you can redistribute it and/or modify</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="stringliteral">    it under the terms of the GNU General Public License as published by</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="stringliteral">    the Free Software Foundation, either version3 of the License, or</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="stringliteral">    (at your option) any later version.</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="stringliteral">    This program is distributed in the hope that it will be useful,</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="stringliteral">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="stringliteral">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="stringliteral">    GNU General Public License for more details.</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="stringliteral">    You should have received a copy of the GNU General Public License</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="stringliteral">    along with this program.  If not, see &lt;http://www.gnu.org/licenses/&gt;.</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="stringliteral">&quot;&quot;&quot;</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">from</span> <a class="code" href="namespacePyQt5_1_1QtCore.html">PyQt5.QtCore</a> <span class="keyword">import</span> *</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">from</span> <a class="code" href="namespacePyQt5_1_1QtWidgets.html">PyQt5.QtWidgets</a> <span class="keyword">import</span> *</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">from</span> <a class="code" href="namespacePyQt5_1_1QtGui.html">PyQt5.QtGui</a> <span class="keyword">import</span> *</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">import</span> os.path, subprocess</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">import</span> Ui_copyToDialog1</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160; </div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment">#    Un dialogue pour choisir un ensemble de fichiers à transférer vers</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="comment">#    une collection de clés USB.</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="comment">#    @param parent un widget</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="comment">#    @param workdir un répertoire cible sur les baladeurs</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="comment">#</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; </div>
<div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html">   36</a></span>&#160;<span class="keyword">class </span><a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html">copyToDialog1</a>(<a class="code" href="classQDialog.html">QDialog</a>):</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160; </div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <span class="keyword">def </span>__init__(self,parent = None, workdir=&quot;&quot;):</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        QDialog.__init__(self,parent)</div>
<div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a63404c87a0625bae01906f6e3ac37ec7">   43</a></span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a63404c87a0625bae01906f6e3ac37ec7">mainWindow</a>=parent</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ab5d77612864511446b832749ae158de1">_ui</a>=Ui_copyToDialog1.Ui_Dialog()</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ab5d77612864511446b832749ae158de1">_ui</a>.setupUi(self)</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ab5d77612864511446b832749ae158de1">_ui</a>.travailEdit.setText(workdir)</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a4a099dae538ac4517a32b5718b729568">setupFromListe</a>()</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#afda5ca65a3bf516c841166cb20dc23f6">_fromDir</a>=QDir.home()</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#adb15ba81390dd48d5bc90fd468d03408">setFromListeDir</a>(self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#afda5ca65a3bf516c841166cb20dc23f6">_fromDir</a>)</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a4a508fe0612217f30d89ffefd40535e5">setupToListe</a>()</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        </div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ada685853c0b672fd47b42334b38b077d">ok</a>=<span class="stringliteral">&quot;False&quot;</span></div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ab5d77612864511446b832749ae158de1">_ui</a>.selectButton.clicked.connect(self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#af02b826d515d9ad734547a9d02a85b9f">select</a>)</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ab5d77612864511446b832749ae158de1">_ui</a>.removeButton.clicked.connect(self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a9153e013ea2e5fd6c950716afbfb82e7">remove</a>)</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ab5d77612864511446b832749ae158de1">_ui</a>.cancelButton.clicked.connect(self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#abfbfdcc3b1f16d6f2854d7958040aab9">cancel</a>)</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ab5d77612864511446b832749ae158de1">_ui</a>.continueButton.clicked.connect(self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ac4656d2911297adfb41fb287bbcfd064">cont</a>)</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ab5d77612864511446b832749ae158de1">_ui</a>.travailEdit.editingFinished.connect(self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a3a248ebcc251e3449fae434f2646c8ab">changeWd</a>)</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160; </div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    </div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160; </div>
<div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a3a248ebcc251e3449fae434f2646c8ab">   63</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a3a248ebcc251e3449fae434f2646c8ab">changeWd</a>(self):</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        newDir=self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ab5d77612864511446b832749ae158de1">_ui</a>.travailEdit.text()</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a63404c87a0625bae01906f6e3ac37ec7">mainWindow</a>.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a3a248ebcc251e3449fae434f2646c8ab">changeWd</a>(newDir)</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160; </div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    </div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160; </div>
<div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#abfbfdcc3b1f16d6f2854d7958040aab9">   70</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#abfbfdcc3b1f16d6f2854d7958040aab9">cancel</a>(self):</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        self.close()</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160; </div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <span class="comment">#        L&#39;action provoquée par le bouton de continuation : fermeture du dialogue</span></div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    <span class="comment">#        et self.ok devient vrai.</span></div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    <span class="comment">#</span></div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160; </div>
<div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ac4656d2911297adfb41fb287bbcfd064">   77</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ac4656d2911297adfb41fb287bbcfd064">cont</a>(self):</div>
<div class="line"><a name="l00078"></a><span class="lineno"><a class="line" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ada685853c0b672fd47b42334b38b077d">   78</a></span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ada685853c0b672fd47b42334b38b077d">ok</a>=<span class="keyword">True</span></div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        self.close()</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160; </div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    </div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160; </div>
<div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a4a099dae538ac4517a32b5718b729568">   84</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a4a099dae538ac4517a32b5718b729568">setupFromListe</a>(self):</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a872aea94a24a3af3ee5f6b8dc1eadfef">_model1</a> = QDirModel()</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a872aea94a24a3af3ee5f6b8dc1eadfef">_model1</a>.setFilter(QDir.AllEntries)</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ab5d77612864511446b832749ae158de1">_ui</a>.listViewFrom.setModel(self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a872aea94a24a3af3ee5f6b8dc1eadfef">_model1</a>)</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ab5d77612864511446b832749ae158de1">_ui</a>.listViewFrom.doubleClicked.connect(self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#afc1b4819dc8119bcbfa05a104685931c">cd</a>)</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160; </div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    </div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160; </div>
<div class="line"><a name="l00094"></a><span class="lineno"><a class="line" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#adb15ba81390dd48d5bc90fd468d03408">   94</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#adb15ba81390dd48d5bc90fd468d03408">setFromListeDir</a>(self,directory):</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;        path=directory.path()</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;        cwdIndex = self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a872aea94a24a3af3ee5f6b8dc1eadfef">_model1</a>.index(path)</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ab5d77612864511446b832749ae158de1">_ui</a>.listViewFrom.setRootIndex(cwdIndex)</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ab5d77612864511446b832749ae158de1">_ui</a>.lineEdit.setText(path)</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160; </div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    </div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160; </div>
<div class="line"><a name="l00104"></a><span class="lineno"><a class="line" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#afc1b4819dc8119bcbfa05a104685931c">  104</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#afc1b4819dc8119bcbfa05a104685931c">cd</a>(self,index):</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        d= <span class="stringliteral">&quot;%s&quot;</span> %index.data()</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        p= <span class="stringliteral">&quot;%s&quot;</span> %self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#afda5ca65a3bf516c841166cb20dc23f6">_fromDir</a>.path()</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        j=os.path.abspath(os.path.join(p,d))</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;        <span class="keywordflow">if</span> os.path.isdir(j):</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;            self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#afda5ca65a3bf516c841166cb20dc23f6">_fromDir</a>=QDir(j)</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;            self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#adb15ba81390dd48d5bc90fd468d03408">setFromListeDir</a>(self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#afda5ca65a3bf516c841166cb20dc23f6">_fromDir</a>)</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160; </div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    </div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160; </div>
<div class="line"><a name="l00115"></a><span class="lineno"><a class="line" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a4a508fe0612217f30d89ffefd40535e5">  115</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a4a508fe0612217f30d89ffefd40535e5">setupToListe</a>(self):</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a0b39b1ff55f06d85b289041419bc2f98">_model2</a> = QStandardItemModel()</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;        </div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ac5c9066794fd8a75d5a75594b9e123b0">_proxyModel</a> = QSortFilterProxyModel()</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ac5c9066794fd8a75d5a75594b9e123b0">_proxyModel</a>.setSourceModel(self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a0b39b1ff55f06d85b289041419bc2f98">_model2</a>)</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ab5d77612864511446b832749ae158de1">_ui</a>.listViewTo.setModel(self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ac5c9066794fd8a75d5a75594b9e123b0">_proxyModel</a>)</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ac5c9066794fd8a75d5a75594b9e123b0">_proxyModel</a>.setDynamicSortFilter(<span class="keyword">True</span>)</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;        </div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160; </div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;    <span class="comment">#        Ajoute le répertoire ou le fichier sélectionné dans le</span></div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    <span class="comment">#        navigateur de fichiers à la liste de sélections.</span></div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;    <span class="comment">#</span></div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160; </div>
<div class="line"><a name="l00133"></a><span class="lineno"><a class="line" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#af02b826d515d9ad734547a9d02a85b9f">  133</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#af02b826d515d9ad734547a9d02a85b9f">select</a>(self):</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;        sel=self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ab5d77612864511446b832749ae158de1">_ui</a>.listViewFrom.selectedIndexes()</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;        <span class="keywordflow">if</span> len(sel)&gt;0:</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;            index=sel[0]</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;            d= <span class="stringliteral">&quot;%s&quot;</span> %index.data()</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;            p= <span class="stringliteral">&quot;%s&quot;</span> %self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#afda5ca65a3bf516c841166cb20dc23f6">_fromDir</a>.path()</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;            j=os.path.abspath(os.path.join(p,d))</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;            f=self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a0b39b1ff55f06d85b289041419bc2f98">_model2</a>.findItems(j)</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;            <span class="keywordflow">if</span> len(f)==0:</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;                self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a0b39b1ff55f06d85b289041419bc2f98">_model2</a>.appendRow(QStandardItem(j))</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;                self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ac5c9066794fd8a75d5a75594b9e123b0">_proxyModel</a>.sort(0)</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;                <span class="comment"># on lance un calcul à nouveau pour la taille totale occupée</span></div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;                self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ac979a58e1b484a30b279d18a481815e3">displaySize</a>()</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;            <span class="keywordflow">else</span>:</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;                <span class="keywordflow">print</span> (<span class="stringliteral">&quot;%s est déjà sélectionné&quot;</span> %j)</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160; </div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;    </div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160; </div>
<div class="line"><a name="l00152"></a><span class="lineno"><a class="line" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ac979a58e1b484a30b279d18a481815e3">  152</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ac979a58e1b484a30b279d18a481815e3">displaySize</a>(self):</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;        total=0</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;        <span class="keywordflow">for</span> path <span class="keywordflow">in</span> self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a85b31697f8ad692bc011eb9c810f396e">selectedList</a>():</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;            p=subprocess.Popen(<span class="stringliteral">&quot;du -s &#39;%s&#39; | awk &#39;{print $1}&#39;&quot;</span> %path,</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;                               shell=<span class="keyword">True</span>, stdout=subprocess.PIPE)</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;            size=p.communicate()[0]</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;            <span class="keywordflow">try</span>:</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;                total+= int(size)</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;            <span class="keywordflow">except</span>:</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;                <span class="keywordflow">pass</span></div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;        unit=<span class="stringliteral">&quot;%s&quot;</span> %QApplication.translate(<span class="stringliteral">&quot;Dialog&quot;</span>,<span class="stringliteral">&quot;%s kilo-octets&quot;</span>,<span class="keywordtype">None</span>)</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;        <span class="keywordflow">if</span> total&gt;1024:</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;            total= 0.1*int(10*total/1024)</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;            unit=<span class="stringliteral">&quot;%s&quot;</span> %QApplication.translate(<span class="stringliteral">&quot;Dialog&quot;</span>,<span class="stringliteral">&quot;%s méga-octets&quot;</span>,<span class="keywordtype">None</span>)</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;        <span class="keywordflow">if</span> total&gt;1024:</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;            total= 0.1*int(10*total/1024)</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;            unit=<span class="stringliteral">&quot;%s&quot;</span> %QApplication.translate(<span class="stringliteral">&quot;Dialog&quot;</span>,<span class="stringliteral">&quot;%s giga-octets&quot;</span>,<span class="keywordtype">None</span>)</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;        self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ab5d77612864511446b832749ae158de1">_ui</a>.lineEdit_size.setText(unit %total)</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160; </div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;    <span class="comment">#        Supprime le répertoire ou le fichier sélectionné dans la</span></div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;    <span class="comment">#        liste de sélections.</span></div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;    <span class="comment">#</span></div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160; </div>
<div class="line"><a name="l00175"></a><span class="lineno"><a class="line" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a9153e013ea2e5fd6c950716afbfb82e7">  175</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a9153e013ea2e5fd6c950716afbfb82e7">remove</a>(self):</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;        sel=self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ab5d77612864511446b832749ae158de1">_ui</a>.listViewTo.selectedIndexes()</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;        <span class="keywordflow">if</span> len(sel)&gt;0:</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;            index=sel[0]</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;            sourceIndex=self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ac5c9066794fd8a75d5a75594b9e123b0">_proxyModel</a>.mapToSource(index)</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;            self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a0b39b1ff55f06d85b289041419bc2f98">_model2</a>.removeRow(sourceIndex.row())</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;            self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ac5c9066794fd8a75d5a75594b9e123b0">_proxyModel</a>.sort(0)</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;            <span class="comment"># on lance un calcul à nouveau pour la taille totale occupée</span></div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;            self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ac979a58e1b484a30b279d18a481815e3">displaySize</a>()</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160; </div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;    <span class="comment">#        Renvoie une liste de répertoires et de fichiers qui ont été</span></div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;    <span class="comment">#        sélectionnés pour la copie sur clé USB.</span></div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;    <span class="comment">#        @return une liste de QStrings</span></div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;    <span class="comment">#</span></div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160; </div>
<div class="line"><a name="l00190"></a><span class="lineno"><a class="line" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a85b31697f8ad692bc011eb9c810f396e">  190</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a85b31697f8ad692bc011eb9c810f396e">selectedList</a>(self):</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;        sl=self.<a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a0b39b1ff55f06d85b289041419bc2f98">_model2</a>.findItems(<span class="stringliteral">&quot;*&quot;</span>,Qt.MatchWildcard)</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;        <span class="keywordflow">return</span> map(<span class="keyword">lambda</span> x: (<span class="stringliteral">&quot;%s&quot;</span> %x.text()), sl)</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160; </div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;<span class="keywordflow">if</span> __name__==<span class="stringliteral">&quot;__main__&quot;</span>:</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;    <span class="keyword">import</span> sys</div>
<div class="line"><a name="l00196"></a><span class="lineno"><a class="line" href="namespacesrc_1_1copyToDialog1.html#aa7ff3deddbedb5364ec083c3c60f6891">  196</a></span>&#160;    app = QApplication(sys.argv)</div>
<div class="line"><a name="l00197"></a><span class="lineno"><a class="line" href="namespacesrc_1_1copyToDialog1.html#af5abbe15623c1e3303df4361cfc460c5">  197</a></span>&#160;    windows = <a class="code" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html">copyToDialog1</a>()</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;    windows.show()</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;    sys.exit(app.exec_())</div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="aclasssrc_1_1copyToDialog1_1_1copyToDialog1_html_a63404c87a0625bae01906f6e3ac37ec7"><div class="ttname"><a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a63404c87a0625bae01906f6e3ac37ec7">src.copyToDialog1.copyToDialog1.mainWindow</a></div><div class="ttdeci">mainWindow</div><div class="ttdef"><b>Definition:</b> <a href="copyToDialog1_8py_source.html#l00043">copyToDialog1.py:43</a></div></div>
<div class="ttc" id="aclasssrc_1_1copyToDialog1_1_1copyToDialog1_html_a0b39b1ff55f06d85b289041419bc2f98"><div class="ttname"><a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a0b39b1ff55f06d85b289041419bc2f98">src.copyToDialog1.copyToDialog1._model2</a></div><div class="ttdeci">_model2</div><div class="ttdef"><b>Definition:</b> <a href="copyToDialog1_8py_source.html#l00116">copyToDialog1.py:116</a></div></div>
<div class="ttc" id="aclasssrc_1_1copyToDialog1_1_1copyToDialog1_html_ac5c9066794fd8a75d5a75594b9e123b0"><div class="ttname"><a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ac5c9066794fd8a75d5a75594b9e123b0">src.copyToDialog1.copyToDialog1._proxyModel</a></div><div class="ttdeci">_proxyModel</div><div class="ttdoc">on connecte la liste d'items standard via un proxy qui autorise le tri alphabétique</div><div class="ttdef"><b>Definition:</b> <a href="copyToDialog1_8py_source.html#l00119">copyToDialog1.py:119</a></div></div>
<div class="ttc" id="aclasssrc_1_1copyToDialog1_1_1copyToDialog1_html_ada685853c0b672fd47b42334b38b077d"><div class="ttname"><a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ada685853c0b672fd47b42334b38b077d">src.copyToDialog1.copyToDialog1.ok</a></div><div class="ttdeci">ok</div><div class="ttdef"><b>Definition:</b> <a href="copyToDialog1_8py_source.html#l00078">copyToDialog1.py:78</a></div></div>
<div class="ttc" id="aclasssrc_1_1copyToDialog1_1_1copyToDialog1_html"><div class="ttname"><a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html">src.copyToDialog1.copyToDialog1</a></div><div class="ttdef"><b>Definition:</b> <a href="copyToDialog1_8py_source.html#l00036">copyToDialog1.py:36</a></div></div>
<div class="ttc" id="aclasssrc_1_1copyToDialog1_1_1copyToDialog1_html_a9153e013ea2e5fd6c950716afbfb82e7"><div class="ttname"><a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a9153e013ea2e5fd6c950716afbfb82e7">src.copyToDialog1.copyToDialog1.remove</a></div><div class="ttdeci">def remove(self)</div><div class="ttdef"><b>Definition:</b> <a href="copyToDialog1_8py_source.html#l00175">copyToDialog1.py:175</a></div></div>
<div class="ttc" id="aclasssrc_1_1copyToDialog1_1_1copyToDialog1_html_afc1b4819dc8119bcbfa05a104685931c"><div class="ttname"><a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#afc1b4819dc8119bcbfa05a104685931c">src.copyToDialog1.copyToDialog1.cd</a></div><div class="ttdeci">def cd(self, index)</div><div class="ttdoc">Change le répertoire courant si possible.</div><div class="ttdef"><b>Definition:</b> <a href="copyToDialog1_8py_source.html#l00104">copyToDialog1.py:104</a></div></div>
<div class="ttc" id="aclasssrc_1_1copyToDialog1_1_1copyToDialog1_html_a872aea94a24a3af3ee5f6b8dc1eadfef"><div class="ttname"><a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a872aea94a24a3af3ee5f6b8dc1eadfef">src.copyToDialog1.copyToDialog1._model1</a></div><div class="ttdeci">_model1</div><div class="ttdef"><b>Definition:</b> <a href="copyToDialog1_8py_source.html#l00085">copyToDialog1.py:85</a></div></div>
<div class="ttc" id="aclasssrc_1_1copyToDialog1_1_1copyToDialog1_html_ab5d77612864511446b832749ae158de1"><div class="ttname"><a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ab5d77612864511446b832749ae158de1">src.copyToDialog1.copyToDialog1._ui</a></div><div class="ttdeci">_ui</div><div class="ttdef"><b>Definition:</b> <a href="copyToDialog1_8py_source.html#l00044">copyToDialog1.py:44</a></div></div>
<div class="ttc" id="aclassQDialog_html"><div class="ttname"><a href="classQDialog.html">QDialog</a></div></div>
<div class="ttc" id="aclasssrc_1_1copyToDialog1_1_1copyToDialog1_html_abfbfdcc3b1f16d6f2854d7958040aab9"><div class="ttname"><a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#abfbfdcc3b1f16d6f2854d7958040aab9">src.copyToDialog1.copyToDialog1.cancel</a></div><div class="ttdeci">def cancel(self)</div><div class="ttdoc">L'action provoquée par le bouton d'échappement : fermeture du dialogue.</div><div class="ttdef"><b>Definition:</b> <a href="copyToDialog1_8py_source.html#l00070">copyToDialog1.py:70</a></div></div>
<div class="ttc" id="aclasssrc_1_1copyToDialog1_1_1copyToDialog1_html_ac979a58e1b484a30b279d18a481815e3"><div class="ttname"><a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ac979a58e1b484a30b279d18a481815e3">src.copyToDialog1.copyToDialog1.displaySize</a></div><div class="ttdeci">def displaySize(self)</div><div class="ttdoc">Affiche la taille de la sélection courante.</div><div class="ttdef"><b>Definition:</b> <a href="copyToDialog1_8py_source.html#l00152">copyToDialog1.py:152</a></div></div>
<div class="ttc" id="aclasssrc_1_1copyToDialog1_1_1copyToDialog1_html_adb15ba81390dd48d5bc90fd468d03408"><div class="ttname"><a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#adb15ba81390dd48d5bc90fd468d03408">src.copyToDialog1.copyToDialog1.setFromListeDir</a></div><div class="ttdeci">def setFromListeDir(self, directory)</div><div class="ttdoc">Choisit un répertoire pour la liste source.</div><div class="ttdef"><b>Definition:</b> <a href="copyToDialog1_8py_source.html#l00094">copyToDialog1.py:94</a></div></div>
<div class="ttc" id="aclasssrc_1_1copyToDialog1_1_1copyToDialog1_html_a3a248ebcc251e3449fae434f2646c8ab"><div class="ttname"><a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a3a248ebcc251e3449fae434f2646c8ab">src.copyToDialog1.copyToDialog1.changeWd</a></div><div class="ttdeci">def changeWd(self)</div><div class="ttdoc">changement du répertoire de travail</div><div class="ttdef"><b>Definition:</b> <a href="copyToDialog1_8py_source.html#l00063">copyToDialog1.py:63</a></div></div>
<div class="ttc" id="aclasssrc_1_1copyToDialog1_1_1copyToDialog1_html_afda5ca65a3bf516c841166cb20dc23f6"><div class="ttname"><a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#afda5ca65a3bf516c841166cb20dc23f6">src.copyToDialog1.copyToDialog1._fromDir</a></div><div class="ttdeci">_fromDir</div><div class="ttdef"><b>Definition:</b> <a href="copyToDialog1_8py_source.html#l00048">copyToDialog1.py:48</a></div></div>
<div class="ttc" id="aclasssrc_1_1copyToDialog1_1_1copyToDialog1_html_ac4656d2911297adfb41fb287bbcfd064"><div class="ttname"><a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ac4656d2911297adfb41fb287bbcfd064">src.copyToDialog1.copyToDialog1.cont</a></div><div class="ttdeci">def cont(self)</div><div class="ttdef"><b>Definition:</b> <a href="copyToDialog1_8py_source.html#l00077">copyToDialog1.py:77</a></div></div>
<div class="ttc" id="aclasssrc_1_1copyToDialog1_1_1copyToDialog1_html_a85b31697f8ad692bc011eb9c810f396e"><div class="ttname"><a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a85b31697f8ad692bc011eb9c810f396e">src.copyToDialog1.copyToDialog1.selectedList</a></div><div class="ttdeci">def selectedList(self)</div><div class="ttdef"><b>Definition:</b> <a href="copyToDialog1_8py_source.html#l00190">copyToDialog1.py:190</a></div></div>
<div class="ttc" id="anamespacePyQt5_1_1QtCore_html"><div class="ttname"><a href="namespacePyQt5_1_1QtCore.html">QtCore</a></div></div>
<div class="ttc" id="aclasssrc_1_1copyToDialog1_1_1copyToDialog1_html_af02b826d515d9ad734547a9d02a85b9f"><div class="ttname"><a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#af02b826d515d9ad734547a9d02a85b9f">src.copyToDialog1.copyToDialog1.select</a></div><div class="ttdeci">def select(self)</div><div class="ttdef"><b>Definition:</b> <a href="copyToDialog1_8py_source.html#l00133">copyToDialog1.py:133</a></div></div>
<div class="ttc" id="aclasssrc_1_1copyToDialog1_1_1copyToDialog1_html_a4a508fe0612217f30d89ffefd40535e5"><div class="ttname"><a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a4a508fe0612217f30d89ffefd40535e5">src.copyToDialog1.copyToDialog1.setupToListe</a></div><div class="ttdeci">def setupToListe(self)</div><div class="ttdoc">Met en place un visionneur de fichierspour les fichiers reçus.</div><div class="ttdef"><b>Definition:</b> <a href="copyToDialog1_8py_source.html#l00115">copyToDialog1.py:115</a></div></div>
<div class="ttc" id="aclasssrc_1_1copyToDialog1_1_1copyToDialog1_html_a4a099dae538ac4517a32b5718b729568"><div class="ttname"><a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a4a099dae538ac4517a32b5718b729568">src.copyToDialog1.copyToDialog1.setupFromListe</a></div><div class="ttdeci">def setupFromListe(self)</div><div class="ttdoc">Met en place un visionneur de fichiers dans la liste source.</div><div class="ttdef"><b>Definition:</b> <a href="copyToDialog1_8py_source.html#l00084">copyToDialog1.py:84</a></div></div>
<div class="ttc" id="anamespacePyQt5_1_1QtGui_html"><div class="ttname"><a href="namespacePyQt5_1_1QtGui.html">QtGui</a></div></div>
<div class="ttc" id="anamespacePyQt5_1_1QtWidgets_html"><div class="ttname"><a href="namespacePyQt5_1_1QtWidgets.html">QtWidgets</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="copyToDialog1_8py.html">copyToDialog1.py</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
